GR/DG
nged
BRL-CAD
BRL-CAD User Commands

# gr

# dg

Add or remove primitives or primitive parents from a group using a GUI selection box. dg exits grouper mode.

        gr
           GroupName

    	 +
    	 -

           ListLimit
           -p

## DESCRIPTION

Allows primitives or primitive parents to be added or removed from a group by selecting them on the MGED display using a selection box. Objects are identified by the location of their vertices on the display. For example, a portion of a object may be within the selection box but if none of its vertices are then it is not considered within the section box. Because of this, objects can only be selected if they are displayed in wireframe. Drawing a selection box (left to right), objects completely in the box are selected. Drawing the selection box (right to left), objects completely and partly in the box are selected. To start grouper use the command 'gr' or 'grouper'. Press and hold the center mouse button then drag the mouse to create the selection box. If there are a large number of vertices on the display, there will be a delay before the selected objects are highlighted and control of MGED is returned to the user. To exit grouper mode, hold down the 'ctrl' key and single-click the center mouse button. You can also exit grouper mode with the 'dg' or 'done_grouper' commands. Objects in the group, while in grouper mode, will be displayed (i.e. highlighted) in yellow wireframe. When entering grouper mode, if the chosen group already contains objects, these existing objects will be immediately displayed in yellow wireframe. As objects are added to the group, they will also be highlighted in yellow. When you exit grouper mode, the yellow highlights will be removed.

Caveats: This command will not function as expected if a selected object has matrices applied. The xpush command can resolve this limitation.

## OPTIONS

`GroupName`

  The name of the group to add/remove primitives or primitive parents.

`+`
`-`

  Indicates if to add or remove from group.

`ListLimit`

  As primitives/parents are selected using a selection box, the names of the selected objects can be listed. This option controls the number of entries which will be listed. By default this value is zero. All selected objects will be listed, assuming the 'ListLimit' is high enough, even if they are not added to the group. This will happen if some of the selected objects are already in the group.

`-p`

  Places the parent of the selected primitives in the group instead of the primitives. With the '-p' option, if the primitive does not have a parent (i.e. is in the root) it will be ignored.

## AUTHOR

BRL-CAD Team

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.